Discover auth configuration

View as Markdown
Return authentication configuration for CLI/SDK discovery. This endpoint is unauthenticated and returns the information clients need to authenticate with this NeMo Platform deployment. **Response fields:** - `auth_enabled`: Whether authentication is enabled on this cluster - `oidc`: OIDC configuration (only present when OIDC is enabled) - `issuer`: The OIDC issuer URL - `authorization_endpoint`: Authorization endpoint for browser-based flows - `token_endpoint`: Token exchange endpoint - `device_authorization_endpoint`: Device flow authorization endpoint (for CLI) - `userinfo_endpoint`: UserInfo endpoint - `client_id`: OAuth client ID to use - `default_scopes`: OAuth scopes to request during authentication - `scope_prefix`: Prefix to prepend to custom scopes (those with ':' or '.default') - `workload_token_exchange_enabled`: Whether SDK workload identity token exchange is enabled - `workload_client_id`: OAuth client ID to use for workload identity token exchange - `workload_token_endpoint`: Token endpoint to use only for workload identity token exchange - `workload_audience`: RFC 8693 audience for exchanged workload tokens - `workload_scope`: OAuth scopes for exchanged workload tokens

Response

Successful Response
auth_enabledboolean
oidcobject

OIDC discovery response for CLI/SDK.